#include "spots.h"
#include <cstdio>
#include <algorithm>
#define fir first
#define sec second
#define mp make_pair
using namespace std;

namespace test_lib {
	
	const int N = 500005, M = 2000005, U = 1e9;
	
	int n, m, hit = 0;
	int vt[N], q[M][4], cur_x1, cur_y1, cur_x2, cur_y2, cur_q = -1;
	pair<int, int> a[N];

	void init() {
		scanf("%d%d", &n, &m);
		for (int i=0; i<n; ++i)
			scanf("%d%d", &a[i].fir, &a[i].sec);
		for (int i=0; i<m; ++i)
			for (int j=0; j<4; ++j)
				scanf("%d", &q[i][j]);
	}
	inline bool report(int x) {
		if (cur_q < 0 || x < 0 || x >= n) return 0;
		if (a[x].fir >= cur_x1 && a[x].fir <= cur_x2 &&
			a[x].sec >= cur_y1 && a[x].sec <= cur_y2 &&
			vt[x] != cur_q + 1) {
			++hit;
			vt[x] = cur_q + 1;
			return 1;
		} else
			return 0;
	}
	void main() {
		init();
		spots_init(vector< pair<int, int> >(a, a+n));
		for (int i=0; i<m; ++i) {
			cur_x1 = q[i][0];
			cur_y1 = q[i][1];
			cur_x2 = q[i][2];
			cur_y2 = q[i][3];
			cur_q = i;
			spots(q[i][0], q[i][1], q[i][2], q[i][3]);
		}
		printf("usr_cnt = %d\n", hit);
	}
}

bool report(int x) {
	return test_lib::report(x);
}
int main() {
	test_lib::main();
	return 0;
}
